Debian Bug report logs - #645321
Ethernet library: read from Socket broken

version graph

Package: arduino; Maintainer for arduino is Scott Howard <showard@debian.org>; Source for arduino is src:arduino.

Reported by: Scott Howard <showard314@gmail.com>

Date: Fri, 14 Oct 2011 12:38:42 UTC

Severity: normal

Tags: patch, upstream

Found in version arduino/0022+dfsg-4

Fixed in version arduino/1:1.0~beta1+dfsg-1

Done: Scott Howard <showard@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://github.com/arduino/Arduino/pull/42

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Scott Howard <showard@debian.org>:
Bug#645321; Package arduino. (Fri, 14 Oct 2011 12:38:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard314@gmail.com>:
New Bug report received and forwarded. Copy sent to Scott Howard <showard@debian.org>. (Fri, 14 Oct 2011 12:39:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: submit@bugs.debian.org
Subject: Ethernet library: read from Socket broken
Date: Fri, 14 Oct 2011 08:07:53 -0400
Package: arduino
Version: 0022+dfsg-4
Severity: normal
Tags: patch

From Ubuntu, but the bug is in Debian too:
https://bugs.launchpad.net/ubuntu/+source/arduino/+bug/865266

Using the Ubuntu version of arduino-core and avr-gcc makes it
impossible to get the example Arduino Webserver working.
Reading from the Socket returns garbled output.

The Arduino forum has found as solution, which works for me:
http://arduino.cc/forum/index.php/topic,68624.msg523739.html#msg523739

I've attached a patch for /usr/share/arduino/libraries/Ethernet/utility/w5100.h
---
ApportVersion: 1.23-0ubuntu2
Architecture: amd64
DistroRelease: Ubuntu 11.10
InstallationMedia: Kubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
Package: arduino 0022+dfsg-4
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=de_DE
 LANG=de_DE.UTF-8
 LC_MESSAGES=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Tags: oneiric
Uname: Linux 3.0.0-12-generic x86_64
UpgradeStatus: Upgraded to oneiric on 2011-09-01 (31 days ago)
UserGroups: adm admin cdrom dialout fuse lpadmin plugdev sambashare


patch:
https://launchpadlibrarian.net/81801611/w5100.diff




Added tag(s) upstream and pending. Request was from Scott Howard <showard314@gmail.com> to control@bugs.debian.org. (Sun, 16 Oct 2011 22:21:03 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://github.com/arduino/Arduino/pull/42'. Request was from Scott Howard <showard314@gmail.com> to control@bugs.debian.org. (Sun, 16 Oct 2011 22:21:03 GMT) Full text and rfc822 format available.

Reply sent to Scott Howard <showard@debian.org>:
You have taken responsibility. (Wed, 19 Oct 2011 14:51:32 GMT) Full text and rfc822 format available.

Notification sent to Scott Howard <showard314@gmail.com>:
Bug acknowledged by developer. (Wed, 19 Oct 2011 14:51:32 GMT) Full text and rfc822 format available.

Message #14 received at 645321-close@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: 645321-close@bugs.debian.org
Subject: Bug#645321: fixed in arduino 1:1.0~beta1+dfsg-1
Date: Wed, 19 Oct 2011 14:47:18 +0000
Source: arduino
Source-Version: 1:1.0~beta1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
arduino, which is due to be installed in the Debian FTP archive:

arduino-core_1.0~beta1+dfsg-1_all.deb
  to main/a/arduino/arduino-core_1.0~beta1+dfsg-1_all.deb
arduino_1.0~beta1+dfsg-1.debian.tar.gz
  to main/a/arduino/arduino_1.0~beta1+dfsg-1.debian.tar.gz
arduino_1.0~beta1+dfsg-1.dsc
  to main/a/arduino/arduino_1.0~beta1+dfsg-1.dsc
arduino_1.0~beta1+dfsg-1_all.deb
  to main/a/arduino/arduino_1.0~beta1+dfsg-1_all.deb
arduino_1.0~beta1+dfsg.orig.tar.gz
  to main/a/arduino/arduino_1.0~beta1+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645321@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Howard <showard@debian.org> (supplier of updated arduino package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 19 Oct 2011 10:01:21 -0400
Source: arduino
Binary: arduino arduino-core
Architecture: source all
Version: 1:1.0~beta1+dfsg-1
Distribution: experimental
Urgency: low
Maintainer: Scott Howard <showard@debian.org>
Changed-By: Scott Howard <showard@debian.org>
Description: 
 arduino    - AVR development board IDE and built-in libraries
 arduino-core - Minimal (java-free) tool to interact with an Arduino
Closes: 645321
Changes: 
 arduino (1:1.0~beta1+dfsg-1) experimental; urgency=low
 .
   * New upstream beta release
   * Added new icons for hicolor theme
   * refreshed patches
   * Fix for Ethernet library with gcc-avr 4.5.3 (Closes: #645321,
     LP: #865266)
Checksums-Sha1: 
 56c7954501b801bf1d7a50a370b659badfa7aeff 1398 arduino_1.0~beta1+dfsg-1.dsc
 b9d04438dec42ac8374255c19ab3546433730138 2155832 arduino_1.0~beta1+dfsg.orig.tar.gz
 b04ce2d472c5999f52b65b3b5925b3b0e7080a3e 95260 arduino_1.0~beta1+dfsg-1.debian.tar.gz
 985422e13a3f8aaa53f6fc5ac85c4d56d2bbcfd9 690768 arduino_1.0~beta1+dfsg-1_all.deb
 b0a93c94df294246d23d083916dab6dc65e32c37 654670 arduino-core_1.0~beta1+dfsg-1_all.deb
Checksums-Sha256: 
 6ef677987734707e68e73a1315dba275b982547c1208c5545d38cb9efd35c634 1398 arduino_1.0~beta1+dfsg-1.dsc
 cb159d438e45c1e933c4ffcd95fd92046f3282d53f8650210e048d7a19d4de3a 2155832 arduino_1.0~beta1+dfsg.orig.tar.gz
 f646bcd103e01ebc3c400e770dab286f753ce4236d493f5e4a7922b09fe4ce03 95260 arduino_1.0~beta1+dfsg-1.debian.tar.gz
 3b542850f73b0b56f0384f82fd52ec6dd607f3d0b68bdf8e6b1f2ee9f82d4b24 690768 arduino_1.0~beta1+dfsg-1_all.deb
 6c10cb328461eef1f4a3e028675d28efa1b5a0dcac56054f989c47eba5738ec3 654670 arduino-core_1.0~beta1+dfsg-1_all.deb
Files: 
 1a856de5f17c37fa939f253c02055f66 1398 electronics extra arduino_1.0~beta1+dfsg-1.dsc
 4e506820bb115f1b04ca5d7b8615b397 2155832 electronics extra arduino_1.0~beta1+dfsg.orig.tar.gz
 c62b0322dbc66d2f086bae4606db255e 95260 electronics extra arduino_1.0~beta1+dfsg-1.debian.tar.gz
 050905418bee70c0cf71cb63505f7ab8 690768 electronics extra arduino_1.0~beta1+dfsg-1_all.deb
 df99aa87dc7ef471a314b26063a2c64b 654670 electronics extra arduino-core_1.0~beta1+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6e2nAACgkQuqVp0MvxKmoX/gCglJMmAFxzDsBbC9for2ECbfsX
y0IAoI9todyOfZ3A3r6PGy63atq4nHlL
=kn1Y
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jan 2012 07:33:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:08:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.